clang 10.0.0git

Functions | Variables
CheckerOptionHandling.cpp File Reference
`#include "clang/StaticAnalyzer/Core/BugReporter/BugType.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/CheckerContext.h"`
`#include "clang/StaticAnalyzer/Frontend/CheckerRegistry.h"`
Include dependency graph for CheckerOptionHandling.cpp:

Go to the source code of this file.

## Functions
void | clang_registerCheckers (CheckerRegistry &registry)

## Variables
const char | clang_analyzerAPIVersionString []

## Function Documentation

## ◆ clang_registerCheckers()

void clang_registerCheckers | ( | CheckerRegistry & | registry | ) |

Definition at line 29 of file CheckerOptionHandling.cpp.

References clang::ento::CheckerRegistry::addChecker(), and clang::ento::CheckerRegistry::addCheckerOption().

## Variable Documentation

## ◆ clang_analyzerAPIVersionString

const char clang_analyzerAPIVersionString[]

Initial value:
=
CLANG_ANALYZER_API_VERSION_STRING
CLANG_ANALYZER_API_VERSION_STRING
#define CLANG_ANALYZER_API_VERSION_STRING
Definition: CheckerRegistry.h:65

Definition at line 43 of file CheckerOptionHandling.cpp.